<!DOCTYPE html>
  <head>
    <meta charset="utf-8">
    <title>Заданик 6</title>
  </head>
  <body>
    <h1> Калькулятор стоимости заказа </h1>
    <form>
      <select name="select">
        <option value="20">Груша</option>
        <option value="15">Яблоко</option>
        <option value="10">Морковь</option>
      </select>
      <div class="radios" id="radios">
        <label><input type="radio" name="radio" value="0">Зелёное</label>
        <label><input type="radio" name="radio" value="5">Красное</label>
        <label><input type="radio" name="radio" value="10">Жёлтое</label>
      </div>
      <div id="checkboxs">
        <label><input type="checkbox" name="chek" value="5">Мытая</label>
        <label><input type="checkbox" name="chek" value="3">Длинная</label>
        <label><input type="checkbox" name="chek" value="10">Красивая</label>
      </div>
    </form>
    <br>
    <input type="text" name="kol-vo" placeholder="Введи количество товара" oninput="this.value = this.value.replace(/[^0-9]/g, '')">
    <br>
    <br>
    <button type="button" name="button" id="itog">Посчитать</button>
	<br>
	<div id="res"><div>
    <script>
      /*jslint devel: true */
      window.addEventListener('DOMContentLoaded', function (event) {
        let f1 = document.getElementsByName("kol-vo");
        let button = document.getElementById("itog");
        let radios = document.getElementById("radios");
        let chek = document.getElementById("checkboxs");
	    	let res = document.getElementById("res");
        radios.style.display = "none";
        chek.style.display = "none";
        let s = document.getElementsByName("select");
		    button.addEventListener('click', function() {
		      if (f1[0].value!="")
		        res.innerHTML = "Сумма заказа = " + f1[0].value * 20;
		    });
        s[0].addEventListener("change", function(event) {
          let select = event.target;
          if (select.value == "20") {
		        res.innerHTML = "";
            radios.style.display = "none";
            chek.style.display = "none";
            button.addEventListener('click', function() {
			      if (f1[0].value!="")
              res.innerHTML = "Сумма заказа = " + f1[0].value * 20;
            });
          }
          if (select.value == "15") {
		        res.innerHTML = "";
            let radios = document.getElementById("radios");
            radios.style.display = "block";
            chek.style.display = "none";
            let r = document.querySelectorAll('input[type="radio"]');
            button.addEventListener('click', function() {
  			      if (f1[0].value!="")
                for (let radio of r)
                  if (radio.checked) {
                    let a = Number.parseInt(f1[0].value);
                    let b = Number.parseInt(radio.value) + 15;
                    let c = a * b;
                    res.innerHTML = "Сумма заказа = " + c;
                  }
            });
          }
          if (select.value == "10") {
		        res.innerHTML = "";
            radios.style.display = "none";
            chek.style.display = "block";
  			    let ch = document.querySelectorAll('input[type="checkbox"]');
  			    button.addEventListener('click', function() {
  			      if (f1[0].value!="") {
  			        let sum = 0;
  			        for (let checkbox of ch)
                  if (checkbox.checked)
  			            sum += Number.parseInt(checkbox.value);
                let a = Number.parseInt(f1[0].value);
                let b = sum + 10;
                let c = a * b;
                res.innerHTML = "Сумма заказа = " + c;
			        }
          });
        }
      });
    });
    </script>
  </body>
</html>
